<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ColorManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d89/class_color_manager.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ColorManager Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae2796a8b6f8a1a842781938c8b856fee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#ae2796a8b6f8a1a842781938c8b856fee">ColorManager</a> ()</td></tr>
<tr class="separator:ae2796a8b6f8a1a842781938c8b856fee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b5b5604965ef97ba2eeb6b9b3342755"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a1b5b5604965ef97ba2eeb6b9b3342755">SetColor</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> color)</td></tr>
<tr class="separator:a1b5b5604965ef97ba2eeb6b9b3342755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af86d85b50e34ed95a5cd8e49f232ed05"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#af86d85b50e34ed95a5cd8e49f232ed05">GetItemColor</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:af86d85b50e34ed95a5cd8e49f232ed05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:afe5abc5c3f90af027ec2bb2128bb4532"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d7/d89/class_color_manager.html">ColorManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#afe5abc5c3f90af027ec2bb2128bb4532">GetInstance</a> ()</td></tr>
<tr class="separator:afe5abc5c3f90af027ec2bb2128bb4532"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a19734de5c1fb3f12fc419b2c5d56e56b"><td class="memItemLeft" align="right" valign="top">private static ref <a class="el" href="../../d7/d89/class_color_manager.html">ColorManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a19734de5c1fb3f12fc419b2c5d56e56b">m_Instance</a></td></tr>
<tr class="separator:a19734de5c1fb3f12fc419b2c5d56e56b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0aacfe98af8af2b622d64dab11e5c85a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a0aacfe98af8af2b622d64dab11e5c85a">COLOR_NORMAL_TEXT</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 255, 255, 255 )</td></tr>
<tr class="separator:a0aacfe98af8af2b622d64dab11e5c85a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a768eddd3a643f94e8068cac70da25e85"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a768eddd3a643f94e8068cac70da25e85">COLOR_NORMAL_PANEL</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 140, 0, 0, 0 )</td></tr>
<tr class="separator:a768eddd3a643f94e8068cac70da25e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfc9854a6590020907cea6ce4f479a48"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#acfc9854a6590020907cea6ce4f479a48">COLOR_HIGHLIGHT_TEXT</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 200, 0, 0 )</td></tr>
<tr class="separator:acfc9854a6590020907cea6ce4f479a48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaaa8071302305d58ec1bf66a5084aa9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#afaaa8071302305d58ec1bf66a5084aa9">COLOR_HIGHLIGHT_PANEL</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 0, 0, 0 )</td></tr>
<tr class="separator:afaaa8071302305d58ec1bf66a5084aa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6995e1fa282e2ba38776fa6fe1d5309a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a6995e1fa282e2ba38776fa6fe1d5309a">COLOR_SELECTED_TEXT</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 255, 255, 255 )</td></tr>
<tr class="separator:a6995e1fa282e2ba38776fa6fe1d5309a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5212c4a4ab585493dfebd400ca978f07"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a5212c4a4ab585493dfebd400ca978f07">COLOR_SELECTED_PANEL</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 200, 0, 0 )</td></tr>
<tr class="separator:a5212c4a4ab585493dfebd400ca978f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb44adfbc049a1d111def029c94760f6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#aeb44adfbc049a1d111def029c94760f6">COLOR_DISABLED_TEXT</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 100, 255, 255, 255 )</td></tr>
<tr class="separator:aeb44adfbc049a1d111def029c94760f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7153e8ec8d2110cfc09650328dc5f3f9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a7153e8ec8d2110cfc09650328dc5f3f9">COLOR_DISABLED_PANEL</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 140, 0, 0, 0 )</td></tr>
<tr class="separator:a7153e8ec8d2110cfc09650328dc5f3f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90b370eb82a8ccf9b13d29940942205a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a90b370eb82a8ccf9b13d29940942205a">ITEM_BACKGROUND_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 50, 255, 255, 255 )</td></tr>
<tr class="separator:a90b370eb82a8ccf9b13d29940942205a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac26687f464eb6052e1876ae2f21ba7"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a2ac26687f464eb6052e1876ae2f21ba7">BASE_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 10, 255, 255, 255 )</td></tr>
<tr class="separator:a2ac26687f464eb6052e1876ae2f21ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af96e90455e6ddc1e7dfd7583d97814f5"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#af96e90455e6ddc1e7dfd7583d97814f5">RED_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 255, 1, 1 )</td></tr>
<tr class="separator:af96e90455e6ddc1e7dfd7583d97814f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf9a77709fec5dac9d9dbf0cee5e5b6"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#aaaf9a77709fec5dac9d9dbf0cee5e5b6">GREEN_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 1, 255, 1 )</td></tr>
<tr class="separator:aaaf9a77709fec5dac9d9dbf0cee5e5b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64aa39e6c32cfc2777cd8af70f270a92"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a64aa39e6c32cfc2777cd8af70f270a92">SWAP_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 135, 206, 250 )</td></tr>
<tr class="separator:a64aa39e6c32cfc2777cd8af70f270a92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73169d4f13c5fbd5be4aa46c7c59c03e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a73169d4f13c5fbd5be4aa46c7c59c03e">FSWAP_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 35, 106, 150 )</td></tr>
<tr class="separator:a73169d4f13c5fbd5be4aa46c7c59c03e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a980376179599e14b10e278f8fa8758"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d89/class_color_manager.html#a5a980376179599e14b10e278f8fa8758">COMBINE_COLOR</a> = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 255, 165, 0 )</td></tr>
<tr class="separator:a5a980376179599e14b10e278f8fa8758"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae2796a8b6f8a1a842781938c8b856fee" name="ae2796a8b6f8a1a842781938c8b856fee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2796a8b6f8a1a842781938c8b856fee">&#9670;&#160;</a></span>ColorManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ColorManager::ColorManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00022">22</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afe5abc5c3f90af027ec2bb2128bb4532" name="afe5abc5c3f90af027ec2bb2128bb4532"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe5abc5c3f90af027ec2bb2128bb4532">&#9670;&#160;</a></span>GetInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d7/d89/class_color_manager.html">ColorManager</a> ColorManager::GetInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00027">27</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="af86d85b50e34ed95a5cd8e49f232ed05" name="af86d85b50e34ed95a5cd8e49f232ed05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af86d85b50e34ed95a5cd8e49f232ed05">&#9670;&#160;</a></span>GetItemColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::GetItemColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00050">50</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a1b5b5604965ef97ba2eeb6b9b3342755" name="a1b5b5604965ef97ba2eeb6b9b3342755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b5b5604965ef97ba2eeb6b9b3342755">&#9670;&#160;</a></span>SetColor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ColorManager::SetColor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2ac26687f464eb6052e1876ae2f21ba7" name="a2ac26687f464eb6052e1876ae2f21ba7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ac26687f464eb6052e1876ae2f21ba7">&#9670;&#160;</a></span>BASE_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::BASE_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 10, 255, 255, 255 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a7153e8ec8d2110cfc09650328dc5f3f9" name="a7153e8ec8d2110cfc09650328dc5f3f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7153e8ec8d2110cfc09650328dc5f3f9">&#9670;&#160;</a></span>COLOR_DISABLED_PANEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_DISABLED_PANEL = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 140, 0, 0, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00012">12</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="aeb44adfbc049a1d111def029c94760f6" name="aeb44adfbc049a1d111def029c94760f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb44adfbc049a1d111def029c94760f6">&#9670;&#160;</a></span>COLOR_DISABLED_TEXT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_DISABLED_TEXT = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 100, 255, 255, 255 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00011">11</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="afaaa8071302305d58ec1bf66a5084aa9" name="afaaa8071302305d58ec1bf66a5084aa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaaa8071302305d58ec1bf66a5084aa9">&#9670;&#160;</a></span>COLOR_HIGHLIGHT_PANEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_HIGHLIGHT_PANEL = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 0, 0, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="acfc9854a6590020907cea6ce4f479a48" name="acfc9854a6590020907cea6ce4f479a48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfc9854a6590020907cea6ce4f479a48">&#9670;&#160;</a></span>COLOR_HIGHLIGHT_TEXT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_HIGHLIGHT_TEXT = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 200, 0, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00007">7</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a768eddd3a643f94e8068cac70da25e85" name="a768eddd3a643f94e8068cac70da25e85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a768eddd3a643f94e8068cac70da25e85">&#9670;&#160;</a></span>COLOR_NORMAL_PANEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_NORMAL_PANEL = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 140, 0, 0, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a0aacfe98af8af2b622d64dab11e5c85a" name="a0aacfe98af8af2b622d64dab11e5c85a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0aacfe98af8af2b622d64dab11e5c85a">&#9670;&#160;</a></span>COLOR_NORMAL_TEXT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_NORMAL_TEXT = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 255, 255, 255 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00005">5</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a5212c4a4ab585493dfebd400ca978f07" name="a5212c4a4ab585493dfebd400ca978f07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5212c4a4ab585493dfebd400ca978f07">&#9670;&#160;</a></span>COLOR_SELECTED_PANEL</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_SELECTED_PANEL = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 200, 0, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00010">10</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a6995e1fa282e2ba38776fa6fe1d5309a" name="a6995e1fa282e2ba38776fa6fe1d5309a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6995e1fa282e2ba38776fa6fe1d5309a">&#9670;&#160;</a></span>COLOR_SELECTED_TEXT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COLOR_SELECTED_TEXT = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 255, 255, 255, 255 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00009">9</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a5a980376179599e14b10e278f8fa8758" name="a5a980376179599e14b10e278f8fa8758"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a980376179599e14b10e278f8fa8758">&#9670;&#160;</a></span>COMBINE_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::COMBINE_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 255, 165, 0 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a73169d4f13c5fbd5be4aa46c7c59c03e" name="a73169d4f13c5fbd5be4aa46c7c59c03e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73169d4f13c5fbd5be4aa46c7c59c03e">&#9670;&#160;</a></span>FSWAP_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::FSWAP_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 35, 106, 150 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00019">19</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="aaaf9a77709fec5dac9d9dbf0cee5e5b6" name="aaaf9a77709fec5dac9d9dbf0cee5e5b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf9a77709fec5dac9d9dbf0cee5e5b6">&#9670;&#160;</a></span>GREEN_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::GREEN_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 1, 255, 1 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00017">17</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a90b370eb82a8ccf9b13d29940942205a" name="a90b370eb82a8ccf9b13d29940942205a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90b370eb82a8ccf9b13d29940942205a">&#9670;&#160;</a></span>ITEM_BACKGROUND_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::ITEM_BACKGROUND_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 50, 255, 255, 255 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00014">14</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a19734de5c1fb3f12fc419b2c5d56e56b" name="a19734de5c1fb3f12fc419b2c5d56e56b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19734de5c1fb3f12fc419b2c5d56e56b">&#9670;&#160;</a></span>m_Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private static ref <a class="el" href="../../d7/d89/class_color_manager.html">ColorManager</a> ColorManager::m_Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="af96e90455e6ddc1e7dfd7583d97814f5" name="af96e90455e6ddc1e7dfd7583d97814f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af96e90455e6ddc1e7dfd7583d97814f5">&#9670;&#160;</a></span>RED_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::RED_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 255, 1, 1 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00016">16</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<a id="a64aa39e6c32cfc2777cd8af70f270a92" name="a64aa39e6c32cfc2777cd8af70f270a92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64aa39e6c32cfc2777cd8af70f270a92">&#9670;&#160;</a></span>SWAP_COLOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ColorManager::SWAP_COLOR = <a class="el" href="../../dc/d3d/proto_8c.html#a117bd706d35f6f2ae3f5db263b778704">ARGB</a>( 150, 135, 206, 250 )</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/dc6/_color_manager_8c_source.html#l00018">18</a> of file <a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/InventoryNew/<a class="el" href="../../d5/dc6/_color_manager_8c_source.html">ColorManager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d89/class_color_manager.html">ColorManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
